#include <sys/types.h>
#include <sys/shm.h>
#include <strings.h>
#include <errno.h>

#ifdef DEBUG
#define dprintf printf
#else
#define dprintf if (0) printf
#endif

int
main (void)
{
  key_t mykey;
  int shmid;

  dprintf ("opening shmget.o:1\n");
  mykey = ftok ("shmget.o", 1);

  shmid = shmget (mykey, 65536, 0777);
  if (shmid != -1)
  { dprintf ("shm id %x\n", shmid); }
  else
    {
      dprintf ("error %d, %s\n", errno, strerror (errno));
      return 1;
    }

  return 0;
}
